Commit Diff


commit - 894e998423b80574490efa9c50ad82adfa874b47
commit + 91971201e545529098ac2b9bc374a383a637e28f
blob - c736a40013b06603c888111494b0fbfd5015b6d2
blob + 0ee543b86682af8a853e7856b1fd5f6086c401fc
--- regress/tests.sh
+++ regress/tests.sh
@@ -375,11 +375,11 @@ test_include_mime() {
 	setup_simple_test "types { include '$PWD/example.mime.types' }" ""
 
 	fetch_hdr /
-	check_reply '20 text/gemini'
+	check_reply '20 text/gemini' || return 1
 
 	fetch_hdr /test.m3u8
-	check_reply '20 application/vnd.apple.mpegurl'
+	check_reply '20 application/vnd.apple.mpegurl' || return 1
 
 	fetch_hdr /foo.1
-	check_reply '20 text/x-mandoc'
+	check_reply '20 text/x-mandoc' || return 1
 }